Двойное освобождение памяти в CUPS

Дата публикации:
21.02.2008
Всего просмотров:
1222
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Локальная сеть
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Common Unix Printing System (CUPS) 1.x
Уязвимые версии: CUPS 1.3.5, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании и скомпрометировать целевую систему.

Уязвимость существует из-за ошибки в функции "process_browse_data()" при добавлении принтеров и классов. Удаленный пользователь может отправить специально сформированный пакет на порт демона cupsd 631/UDP, вызвать двойное освобождение буфера и выполнить произвольный код на целевой системе.

URL производителя: www.cups.org

Решение: Установите последнюю версию 1.3.6 с сайта производителя.

или введите имя

CAPTCHA